> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://developers.fireblocks.com/feedback

```json
{
  "path": "/api-reference/trlink/get-supported-asset-by-id",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Get supported asset by ID

> Retrieves detailed information about a specific asset by its Fireblocks asset ID. Returns the transformed Fireblocks asset data, raw partner response, and support status.



## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml get /screening/trlink/customers/integration/{customerIntegrationId}/assets/{assetId}
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /screening/trlink/customers/integration/{customerIntegrationId}/assets/{assetId}:
    get:
      tags:
        - TRLink
      summary: Get supported asset by ID
      description: >-
        Retrieves detailed information about a specific asset by its Fireblocks
        asset ID. Returns the transformed Fireblocks asset data, raw partner
        response, and support status.
      operationId: getTRLinkSupportedAsset
      parameters:
        - name: customerIntegrationId
          in: path
          required: true
          description: Customer integration unique identifier
          schema:
            type: string
            format: uuid
        - name: assetId
          in: path
          required: true
          description: Fireblocks asset ID
          schema:
            type: string
      responses:
        '200':
          description: Asset retrieved successfully
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TRLinkGetSupportedAssetResponse'
        default:
          $ref: '#/components/responses/Error'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response:
            Promise<FireblocksResponse<TRLinkGetSupportedAssetResponse>> =
            fireblocks.tRLink.getTRLinkSupportedAsset(tRLinkApiGetTRLinkSupportedAssetRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<TRLinkGetSupportedAssetResponse>>
            response =
            fireblocks.tRLink().getTRLinkSupportedAsset(customerIntegrationId,
            assetId);
        - lang: Python
          source: >-
            response =
            fireblocks.t_r_link.get_t_r_link_supported_asset(customer_integration_id,
            asset_id);
components:
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs
  schemas:
    TRLinkGetSupportedAssetResponse:
      type: object
      description: Response for getting a single supported asset by ID
      properties:
        fireblocksAsset:
          $ref: '#/components/schemas/TRLinkPublicAssetInfo'
        partnerResponse:
          type: object
          description: Raw partner response data
          nullable: true
          additionalProperties: true
          example:
            assetCode: USDC
            network: ethereum
            enabled: true
        partnerCanHandleAnyAsset:
          type: boolean
          description: >-
            Whether partner can handle any asset (not just explicitly listed
            ones)
          example: false
        note:
          type: string
          description: Note about asset support capabilities
          example: Partner supports only explicitly listed assets
        supported:
          type: boolean
          description: Whether the asset is supported by the partner
          example: true
      required:
        - fireblocksAsset
        - partnerResponse
        - partnerCanHandleAnyAsset
        - note
        - supported
    TRLinkPublicAssetInfo:
      type: object
      description: Public asset information with limited properties for API consumption
      properties:
        id:
          type: string
          description: The unique ID of the asset (e.g., Fireblocks asset ID)
          example: USDC_ETH
        name:
          type: string
          description: The name of the asset
          example: USD Coin
        type:
          type: string
          description: The type of the asset (e.g., BASE_ASSET, ERC20)
          example: ERC20
        contractAddress:
          type: string
          description: The contract address of the asset (for tokenized assets)
          example: '0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48'
        nativeAsset:
          type: string
          description: The native asset of the network (e.g., ETH for ERC20 tokens)
          example: ETH
        decimals:
          type: number
          description: The number of decimal places for the asset
          example: 6
        issuerAddress:
          type: string
          description: The issuer address of the asset (optional)
          nullable: true
          example: '0x1234567890abcdef1234567890abcdef12345678'
      required:
        - id
        - name
        - type
        - contractAddress
        - nativeAsset
        - decimals
    ErrorSchema:
      type: object
      properties:
        message:
          type: string
        code:
          type: number
  responses:
    Error:
      description: Error Response
      headers:
        X-Request-ID:
          $ref: '#/components/headers/X-Request-ID'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorSchema'

````